Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 262)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 263)
@@ -3,4 +3,5 @@
     PA****  Identifier for messages in the PALM standard code
     UI****  Identifier for messages in "user_" routines
+    NC****  Identifier for messages from the NetCDF library
 
 message_identifier   message string
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 262)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 263)
@@ -22,4 +22,8 @@
 Changed:
 -------
+Output of NetCDF messages with aid of message handling routine.
+(check_open, close_file, data_output_2d, data_output_3d, 
+data_output_profiles, data_output_ptseries, data_output_spectra, 
+data_output_tseries, netcdf, output_particles_netcdf)
 
 Output of messages replaced by message handling routine.
@@ -39,5 +43,5 @@
 user_init_grid, user_parin, write_var_list)
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_spectra,  eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, output_particles_netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 262)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine
 ! Bugfix: error in check, if particles moved further than one subdomain length.
@@ -3594,5 +3595,5 @@
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_time_prt, (/ simulated_time /), &
                             start = (/ prt_time_count /), count = (/ 1 /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 1 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 1 )
 
 !
@@ -3601,5 +3602,5 @@
                             (/ number_of_particles /),   &
                             start = (/ prt_time_count /), count = (/ 1 /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 2 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 2 )
 
 !
@@ -3608,85 +3609,85 @@
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 3 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 3 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(2), particles%dvrp_psize,  &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 4 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 4 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(3), particles%origin_x,    &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 5 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 5 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(4), particles%origin_y,    &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 6 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 6 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(5), particles%origin_z,    &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 7 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 7 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(6), particles%radius,      &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 8 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 8 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(7), particles%speed_x,     &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 9 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 9 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(8), particles%speed_y,     &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 10 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 10 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(9), particles%speed_z,     &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 11 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 11 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt,id_var_prt(10),particles%weight_factor,&
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 12 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 12 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,           &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 13 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 13 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(12), particles%y,          & 
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 14 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 14 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(13), particles%z,          &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 15 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 15 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(14), particles%color,      &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 16 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 16 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(15), particles%group,      &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 17 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 17 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(16), particles%tailpoints, &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 18 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 18 )
 
     nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(17), particles%tail_id,    &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
-    IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 19 )
+    CALL handle_netcdf_error( 'output_particles_netcdf', 19 )
 
 #endif
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 262)
+++ palm/trunk/SOURCE/check_open.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine
 !
@@ -697,5 +698,6 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_xy(av) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 20 )
+
+             CALL handle_netcdf_error( 'check_open', 20 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -708,5 +710,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_xy(av) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 21 )
+                CALL handle_netcdf_error( 'check_open', 21 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -731,5 +733,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_xy(av) )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 22 )
+             CALL handle_netcdf_error( 'check_open', 22 )
 !
 !--          Define the header
@@ -758,5 +760,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_xz(av) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 23 )
+             CALL handle_netcdf_error( 'check_open', 23 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -769,5 +771,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_xz(av) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 24 )
+                CALL handle_netcdf_error( 'check_open', 24 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -792,5 +794,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_xz(av) )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 25 )
+             CALL handle_netcdf_error( 'check_open', 25 )
 !
 !--          Define the header
@@ -819,5 +821,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_yz(av) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 26 )
+             CALL handle_netcdf_error( 'check_open', 26 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -830,5 +832,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_yz(av) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 27 )
+                CALL handle_netcdf_error( 'check_open', 27 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -853,5 +855,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_yz(av) )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 28 )
+             CALL handle_netcdf_error( 'check_open', 28 )
 !
 !--          Define the header
@@ -874,5 +876,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_pr )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 29 )
+             CALL handle_netcdf_error( 'check_open', 29 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -885,5 +887,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pr )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 30 )
+                CALL handle_netcdf_error( 'check_open', 30 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -908,5 +910,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_pr )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 31 )
+             CALL handle_netcdf_error( 'check_open', 31 )
 !
 !--          Define the header
@@ -929,5 +931,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_ts )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 32 )
+             CALL handle_netcdf_error( 'check_open', 32 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -940,5 +942,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_ts )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 33 )
+                CALL handle_netcdf_error( 'check_open', 33 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -963,5 +965,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_ts )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 34 )
+             CALL handle_netcdf_error( 'check_open', 34 )
 !
 !--          Define the header
@@ -991,5 +993,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_3d(av) )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 35 )
+             CALL handle_netcdf_error( 'check_open', 35 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -1002,5 +1004,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_3d(av) )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 36 )
+                CALL handle_netcdf_error( 'check_open', 36 )
                 CALL local_system('rm ' // TRIM( filename ) )
              ENDIF
@@ -1025,5 +1027,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_3d(av) )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 37 )
+             CALL handle_netcdf_error( 'check_open', 37 )
 !
 !--          Define the header
@@ -1047,5 +1049,6 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_sp )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 38 )
+             CALL handle_netcdf_error( 'check_open', 38 )
+
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -1058,5 +1061,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_sp )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 39 )
+                CALL handle_netcdf_error( 'check_open', 39 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -1081,5 +1084,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_sp )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 40 )
+             CALL handle_netcdf_error( 'check_open', 40 )
 !
 !--          Define the header
@@ -1106,5 +1109,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_prt )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 41 )
+             CALL handle_netcdf_error( 'check_open', 41 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -1117,5 +1120,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_prt )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 42 )
+                CALL handle_netcdf_error( 'check_open', 42 )
                 CALL local_system( 'rm ' // filename )
              ENDIF
@@ -1157,5 +1160,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_prt )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 43 )
+             CALL handle_netcdf_error( 'check_open', 43 )  
 
 !
@@ -1179,5 +1182,5 @@
 !--          Open an existing NetCDF file for output 
              nc_stat = NF90_OPEN( filename, NF90_WRITE, id_set_pts )
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 393 )
+             CALL handle_netcdf_error( 'check_open', 393 )
 !
 !--          Read header information and set all ids. If there is a mismatch
@@ -1190,5 +1193,5 @@
              IF ( .NOT. netcdf_extend )  THEN
                 nc_stat = NF90_CLOSE( id_set_pts )
-                IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 394 )
+                CALL handle_netcdf_error( 'check_open', 394 )
                 CALL local_system( 'rm ' // TRIM( filename ) )
              ENDIF
@@ -1213,5 +1216,5 @@
                 nc_stat = NF90_CREATE( filename, NF90_NOCLOBBER, id_set_pts )
              ENDIF
-             IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 395 )
+             CALL handle_netcdf_error( 'check_open', 395 )
 !
 !--          Define the header
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 262)
+++ palm/trunk/SOURCE/close_file.f90	(revision 263)
@@ -2,7 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of NetCDF messages with aid of message handling routine.
 !
 ! Former revisions:
@@ -403,5 +403,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(0) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 44 )
+                   CALL handle_netcdf_error( 'close_file', 44 )
                 ENDIF
 
@@ -410,5 +410,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(0) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 45 )
+                   CALL handle_netcdf_error( 'close_file', 45 )
                 ENDIF
 
@@ -417,5 +417,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(0) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 46 )
+                   CALL handle_netcdf_error( 'close_file', 46 )
                 ENDIF
 
@@ -424,5 +424,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_pr )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 47 )
+                   CALL handle_netcdf_error( 'close_file', 47 )
                 ENDIF
 
@@ -431,5 +431,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_ts )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 48 )
+                   CALL handle_netcdf_error( 'close_file', 48 )
                 ENDIF
 
@@ -438,5 +438,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(0) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 49 )
+                   CALL handle_netcdf_error( 'close_file', 49 )
                 ENDIF
 
@@ -445,5 +445,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_sp )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 50 )
+                   CALL handle_netcdf_error( 'close_file', 50 )
                 ENDIF
 
@@ -452,5 +452,5 @@
                 IF (  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_prt )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 51 )
+                   CALL handle_netcdf_error( 'close_file', 51 )
                 ENDIF
 
@@ -459,5 +459,5 @@
                 IF (  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_pts )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 412 )
+                   CALL handle_netcdf_error( 'close_file', 412 )
                 ENDIF
 
@@ -466,5 +466,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(1) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 52 )
+                   CALL handle_netcdf_error( 'close_file', 52 )
                 ENDIF
 
@@ -473,5 +473,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(1) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 352 )
+                   CALL handle_netcdf_error( 'close_file', 352 )
                 ENDIF
 
@@ -480,5 +480,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(1) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 353 )
+                   CALL handle_netcdf_error( 'close_file', 353 )
                 ENDIF
 
@@ -487,5 +487,5 @@
                 IF ( myid == 0  .AND.  netcdf_output )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(1) )
-                   IF ( nc_stat /= NF90_NOERR )  CALL handle_netcdf_error( 353 )
+                   CALL handle_netcdf_error( 'close_file', 353 )
                 ENDIF
 
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
 !
@@ -568,7 +569,5 @@
                                          start = (/ do2d_xy_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            IF ( nc_stat /= NF90_NOERR )  THEN
-                               CALL handle_netcdf_error( 53 )
-                            ENDIF
+                         CALL handle_netcdf_error( 'data_output_2d', 53 )
 #endif
                          ENDIF
@@ -666,6 +665,5 @@
                                                 count = (/ nx+2, ny+2, 1, 1 /) )
                             ENDIF
-                            IF ( nc_stat /= NF90_NOERR )  &
-                                                  CALL handle_netcdf_error( 54 )
+                            CALL handle_netcdf_error( 'data_output_2d', 54 )
                          ENDIF
 #endif
@@ -708,6 +706,5 @@
                                               count = (/ nx+2, ny+2, 1, 1 /) )
                       ENDIF
-                      IF ( nc_stat /= NF90_NOERR )  &
-                                                  CALL handle_netcdf_error( 55 )
+                      CALL handle_netcdf_error( 'data_output_2d', 55 )
                    ENDIF
 #endif
@@ -758,7 +755,5 @@
                                          start = (/ do2d_xz_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            IF ( nc_stat /= NF90_NOERR )  THEN
-                               CALL handle_netcdf_error( 56 )
-                            ENDIF
+                             CALL handle_netcdf_error( 'data_output_2d', 56 )
 #endif
                          ENDIF
@@ -882,6 +877,5 @@
                                start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
                                                 count = (/ nx+2, 1, nz+2, 1 /) )
-                            IF ( nc_stat /= NF90_NOERR ) &
-                                                  CALL handle_netcdf_error( 57 )
+                            CALL handle_netcdf_error( 'data_output_2d', 57 )
                          ENDIF
 #endif
@@ -926,6 +920,5 @@
                                start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
                                               count = (/ nx+2, 1, nz+2, 1 /) )
-                      IF ( nc_stat /= NF90_NOERR )  &
-                                                  CALL handle_netcdf_error( 58 )
+                      CALL handle_netcdf_error( 'data_output_2d', 58 )
                    ENDIF
 #endif
@@ -969,7 +962,5 @@
                                          start = (/ do2d_yz_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            IF ( nc_stat /= NF90_NOERR )  THEN
-                               CALL handle_netcdf_error( 59 )
-                            ENDIF
+                            CALL handle_netcdf_error( 'data_output_2d', 59 )
 #endif
                          ENDIF
@@ -1093,6 +1084,5 @@
                                start = (/ is, 1, 1, do2d_yz_time_count(av) /), &
                                                 count = (/ 1, ny+2, nz+2, 1 /) )
-                            IF ( nc_stat /= NF90_NOERR ) &
-                                                  CALL handle_netcdf_error( 60 )
+                            CALL handle_netcdf_error( 'data_output_2d', 60 )
                          ENDIF
 #endif
@@ -1137,6 +1127,5 @@
                                start = (/ is, 1, 1, do2d_xz_time_count(av) /), &
                                               count = (/ 1, ny+2, nz+2, 1 /) )
-                      IF ( nc_stat /= NF90_NOERR )  &
-                                                  CALL handle_netcdf_error( 61 )
+                      CALL handle_netcdf_error( 'data_output_2d', 61 )
                    ENDIF
 #endif
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 262)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 263)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
 !
@@ -95,5 +96,5 @@
                                start = (/ do3d_time_count(av) /), &
                                count = (/ 1 /) )
-       IF (nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 1009 )
+       CALL handle_netcdf_error( 'data_output_3d', 1009 )
     ENDIF
 #endif
@@ -385,5 +386,5 @@
                                   start = (/ 1, 1, 1, do3d_time_count(av) /), &
                                   count = (/ nx+2, ny+2, nz_do3d-nzb+1, 1 /) )
-             IF ( nc_stat /= NF90_NOERR)  CALL handle_netcdf_error( 1010 )
+             CALL handle_netcdf_error( 'data_output_3d', 1010 )
           ENDIF
 #endif
